Method: projects.locations.instances.mpc.keyRings.keys.proposals.recordParticipantDecision

Submits a cryptographic signature from a key participant, recording their assent (or rejection) for the proposal.

HTTP request

POST https://mpc.googleapis.com/v1alpha1/{name=projects/*/locations/*/instances/*/mpc/keyRings/*/keys/*/proposals/*}:recordParticipantDecision

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The unique resource name of the proposal to record assent for. Format: projects/{project}/locations/{location}/instances/{instance}/mpc/keyRings/{keyRing}/keys/{key}/proposals/{proposal} It takes the form projects/{project}/locations/{location}/instances/{instance}/mpc/keyRings/{keyring}/keys/{key}/proposals/{proposal}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "signature": string,
  "decision": enum (Decision),
  "participant": string
}
Fields
signature

string (bytes format)

Required. Participant's signature over the proposal details (e.g., payload hash), created with their key share's associated private key.

A base64-encoded string.

decision

enum (Decision)

Required. The decision made by the participant (e.g., APPROVED, REJECTED).

participant

string

Required. The resource name of the participant recording their decision. Format: projects/{project}/locations/{location}/instances/{instance}/mpc/signers/{signer}

Response body

If successful, the response body contains an instance of Proposal.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.